package com.yidian.common

class AppConfig {
  companion object {
    // 是否开启加密
    const val IS_ENCRYPT = BuildConfig.IS_ENCRYPT
    const val KUANGSHI_ALIVE_API_KEY = "32f9XIsReV4S15Ck_Sa3ky43XgAHUB9v"
    const val KUANGSHI_SECRET = "usZbQYdI4PQeXhMftsRfHK2msj0DmSIl"

    // file
    const val FileProvider = BuildConfig.PROVIDER_NAME

    // 渠道
    const val appid = "merchant-b"

    // 客户端版本号
    const val cv = BuildConfig.VERSION_NAME

    // 服务端版本号
    const val version = BuildConfig.SERVICE_VERSION

    // 分发
    const val distribution = "official"

    // 平台
    const val platform = "1"

    // TowerPro 动态下发管理
    const val TowerProAppUpgradePlatformId = 29 // App版本升级
    const val TowerProXBridUpgradePlatformId = 32 // XBrid版本升级
    const val TowerProPlatform = "Android"

    // TowerPro 通用配置模块
    const val TowerApiEnvTest = 0 // 测试环境
    const val TowerApiEnvPro = 2 // 外网-正式环境
    const val TowerApiEnv = BuildConfig.TOWER_API_ENV
    const val TowerApiOS = "2" // 0:ios 1:安卓 2:全部
    const val TowerApiKeyTag = "function-config"
    const val TowerApiVersion = "1.0.0"

    // 用户反馈配置
    const val feedbackAssignee = "chengxiaofeng" // 经办人
    const val feedbackProject = "10721" // 项目
    const val feedbackIssueType = "10001" // 问题类型
    const val feedbackPriority = "4" // 优先级
    const val feedbackPlatform = "Android" // 平台
    const val feedbackDefaultSummary = "something's wrong" // 默认问题概要

    // XInsight配置
    const val XInsightEnvDev = 0 // 开发环境
    const val XInsightEnvTest = 1 // 测试环境
    const val XInsightEnvPre = 2 // 预生产环境
    const val XInsightEnvPro = 3 // 生产环境

    // 分享相关的三方平台配置
    const val WeChatAppKey = "wxef4c37f254e29e84"
    const val WeChatAppSecret = "fb596ed3641b481b6f973774987fd04f"
    const val QQAppKey = "101923771"
    const val QQAppSecret = "c34d63cfcf9f8b13a71f48424b48d692"
    const val SinaAppKey = "4157874278"
    const val SinaAppSecret = "85c422bc0a1e0553e6a6a075701422a7"
    const val SinaCallBackUrl = "https://api.weibo.com/oauth2/default.html"

    // 用户协议
    const val userProtocol = "https://www.appgc.cn/plugins/privacy/content?type=mp&appId=1080334&ver=210601"
    // 隐私政策
    const val privacyPolicyStatement = "https://www.appgc.cn/plugins/privacy/content?type=privacy&appId=1080334&ver=210601"
    // 我的钱包 - 常见问题
    const val commonProblem = "https://www.appgc.cn/plugins/privacy/content?type=privacy&appId=1080334&ver=210601"

    // 友盟测试环境配置
    const val UMAppTestKey = "60c8479fe044530ff0a49936"//umeng统计key注释
    const val UMTestChannel = "ANDROID_CHANNEL"
    const val UMTestType = "metro"
    const val UMTestPushSecret = "e78446e86d153e2891ae7523e1532f13"// push secret

    // 友盟线上环境配置
    const val UMAppKey = "60ccc0c68a102159db70438c"//umeng统计key注释
    const val UMChannel = "ANDROID_CHANNEL"
    const val UMType = "metro"
    const val UMPushSecret = "27ac72f77ef4ff6593cca8be3069ecd0"// push secret
    const val PUSH_XIAOMI_SUPPORT_MASK = 0x40000000
    const val PUSH_UMENG_SUPPORT_MASK = 0x20000000
    const val PUSH_GETUI_SUPPORT_MASK = 0x10000000
    const val PUSH_PASS_THROGH_UNIQUE_MASK = 0x00000001
    const val ZIXUN_PUSH_LEVEL = PUSH_XIAOMI_SUPPORT_MASK

    const val PUSH_LEVEL = (PUSH_XIAOMI_SUPPORT_MASK or PUSH_UMENG_SUPPORT_MASK
      or PUSH_GETUI_SUPPORT_MASK or PUSH_PASS_THROGH_UNIQUE_MASK)
  }
}
